package com.qxgmat.dto.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserClass;
import com.qxgmat.dto.extend.UserPreviewPaperExtendDto;

import java.util.Date;
import java.util.List;

@Dto(entity = UserClass.class)
public class UserClassDetailDto {
    private Integer category;
    private Date startTime;
    private Date expireTime;
    private Boolean payed;

    private List<UserPreviewPaperExtendDto> papers;

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public Boolean getPayed() {
        return payed;
    }

    public void setPayed(Boolean payed) {
        this.payed = payed;
    }

    public Integer getCategory() {
        return category;
    }

    public void setCategory(Integer category) {
        this.category = category;
    }

    public List<UserPreviewPaperExtendDto> getPapers() {
        return papers;
    }

    public void setPapers(List<UserPreviewPaperExtendDto> papers) {
        this.papers = papers;
    }
}
